import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { Breadcrumb } from './breadcrumb.model';
import { Ng7DynamicBreadcrumbService } from './ng7-dynamic-breadcrumb.service';
import * as i0 from "@angular/core";
export declare class Ng7DynamicBreadcrumbComponent implements OnInit {
    private activatedRoute;
    private router;
    private ng7DynamicBreadcrumbService;
    breadcrumb: Breadcrumb[];
    bgColor: string;
    fontSize: string;
    fontColor: string;
    lastLinkColor: string;
    symbol: string;
    params: {
        [key: string]: any;
    };
    constructor(activatedRoute: ActivatedRoute, router: Router, ng7DynamicBreadcrumbService: Ng7DynamicBreadcrumbService);
    ngOnInit(): void;
    breadCrumbData(): void;
    private updateData;
    static ɵfac: i0.ɵɵFactoryDeclaration<Ng7DynamicBreadcrumbComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Ng7DynamicBreadcrumbComponent, "app-ng7-dynamic-breadcrumb", never, { "bgColor": "bgColor"; "fontSize": "fontSize"; "fontColor": "fontColor"; "lastLinkColor": "lastLinkColor"; "symbol": "symbol"; }, {}, never, never>;
}
